SIGNALTEST(8)

NAME
signaltest - signal roundtrip test software

SYNOPSIS
signaltest [ -b USEC ] [ -l LOOPS ] [ -p PRIO] [ -q ] [ -t NUM ] [ -m ] [ -v ] [ --help ]

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes ('--').

-b, --breaktrace=USEC
    Send break trace command when latency > USEC

-l, --loops=LOOPS
    Number of loops: default=0 (endless)

-p, --priority=PRIO
    Priority of highest priority thread

-q, --quiet
    print a summary only on exit

-t, --threads=NUM
    number of threads: default=2

-m, --mlockall
    lock current and future memory allocations

-v, --verbose
    output values on stdout for statistics
    format: n:c:v n=tasknum c=count v=value in us

--help
    display usage information

AUTHOR
signaltest was written by Thomas Gleixner <tglx@linuxtronix.de>.

This manual page was originally written by
John Kacur <jkacur@redhat.com>

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.